#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include	<sys/types.h>
#include	<sys/time.h>
#include "error.h"


int main()
{
  int	i, n, fd[2];
  fd_set	writeset;
  struct timeval	tv;
  if (pipe(fd) < 0) err_sys("pipe error");
  for (n = 0; ; n++) { 
    /*  1 byte schreiben bis die Pipe voll ist */
    FD_ZERO(&writeset);
    FD_SET(fd[1], &writeset);
    tv.tv_sec = tv.tv_usec = 0;	/* nicht warten */
    if ((i=select(fd[1]+1,NULL,&writeset,NULL,&tv)) < 0){
		err_sys("select error");
    }
    if ( !FD_ISSET(fd[1],&writeset) ) break;
    if (write(fd[1], "a", 1) != 1) err_sys("write error");
     /*write(1,".",1);*/
  }
  printf("\npipe capacity = %d\n", n);
  exit(0);
}
