#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include	<sys/stat.h>
#include	<fcntl.h>
#include "error.h"


int main(int argc, char *argv[])
{
	if (argc != 2) {
	     fprintf(stderr,"use: %s <filename>\n",argv[0]);
	     exit(-1);
	}
	printf("file: %s\n",argv[1]);
	if (open(argv[1], O_RDWR) < 0)
		err_sys("open error");

	if (unlink(argv[1]) < 0)
		err_sys("unlink error");

	printf("file unlinked - sleep 60 sec\n");
	sleep(60);
	printf("done\n");

	exit(0);
}
